
# Web server log
analyzed_filename = '/var/log/apache2/access.log'

# Domain name to analyze
domain_name = 'soutade.fr'

# Display visitor IP in addition to resolved names
display_visitor_ip = True

# Hooks used
pre_analysis_hooks = ['page_to_hit', 'robots']
post_analysis_hooks = ['referers', 'top_pages', 'top_downloads', 'operating_systems', 'browsers', 'feeds', 'hours_stats', 'reverse_dns']
display_hooks = ['track_users', 'top_visitors', 'all_visits', 'referers', 'top_pages', 'top_downloads', 'referers_diff', 'operating_systems', 'browsers', 'feeds', 'hours_stats']

# Reverse DNS timeout
reverse_dns_timeout = 0.2

# Count this addresses as hit
page_to_hit_conf = [r'^.+/logo[/]?$']
# Count this addresses as page
hit_to_page_conf = [r'^.+/category/.+$', r'^.+/tag/.+$', r'^.+/archive/.+$', r'^.+/ljdc[/]?$', r'^.+/source/tree/.*$', r'^.+/source/file/.*$', r'^.+/search/1$']

# Because it's too long to build HTML when there is too much entries
max_hits_displayed = 100
max_downloads_displayed = 100

# Compressed files
compress_output_files = ['html', 'css', 'js']

# Locale in French
locale = 'fr'

# Tracked IP
tracked_ip = ['192.168.0.1']

# Feed url
feeds = [r'^.*/atom.xml$', r'^.*/rss.xml$']

# Consider xml files as multimedia (append to current list)
multimedia_files_append = ['xml']
