#!/bin/sh

MODULES_TARGET="docs/modules.md"
MAIN_MD="docs/main.md"
TARGET_MD="docs/index.md"

rm -f "${MODULES_TARGET}"

echo "Generate plugins index"
python tools/extract_doc.py -p iwla.py > "${MODULES_TARGET}"
find plugins -name '*.py' -exec python tools/extract_doc.py -p \{\} \; >> "${MODULES_TARGET}"
echo "\n" >> "${MODULES_TARGET}"

echo "Generate doc from iwla.py"
python tools/extract_doc.py iwla.py >> "${MODULES_TARGET}"

echo "Generate plugins documentation"
find plugins -name '*.py' -exec python tools/extract_doc.py \{\} \; >> "${MODULES_TARGET}"

echo "Generate ${TARGET_MD}"
cat "${MAIN_MD}" "${MODULES_TARGET}" > "${TARGET_MD}"
